# TargetMachineBuilder

interface TargetMachineBuilder : TargetMachine

A builder for configuring the architecture of a TargetMachine objects.

#### Since

5.2

## Functions

architecture
Link copied to clipboard
abstract fun architecture(architecture: String): TargetMachine
Returns a TargetMachine for the operating system of this machine and the specified architecture.
getArchitecture
Link copied to clipboard
abstract fun getArchitecture(): MachineArchitecture
getOperatingSystemFamily
Link copied to clipboard
abstract fun getOperatingSystemFamily(): OperatingSystemFamily
getX86
Link copied to clipboard
abstract fun getX86(): TargetMachine
Returns a TargetMachine for the operating system of this machine and the x86 32-bit architecture
getX86_64
Link copied to clipboard
abstract fun getX86_64(): TargetMachine
Returns a TargetMachine for the operating system of this machine and the x86 64-bit architecture